<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Plik źródłowy shape.hh</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('da/dad/shape_8hh_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">shape.hh</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../da/dad/shape_8hh.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../db/d1b/_matrix_8hh.html">Matrix.hh</a>&quot;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../dc/dca/_vector_8hh.html">Vector.hh</a>&quot;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="../../d7/da7/class_shape.html">   12</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d7/da7/class_shape.html">Shape</a> {</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;  <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="../../d7/da7/class_shape.html#a555a7ac666dcb2bcd80c20371a54ce02">   18</a></span>&#160;    std::string <a class="code" href="../../d7/da7/class_shape.html#a555a7ac666dcb2bcd80c20371a54ce02">fileName</a>;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">   24</a></span>&#160;    <a class="code" href="../../d5/db2/class_vector.html">Vector3D</a> <a class="code" href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">translation</a>;</div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">   29</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a>;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="../../d7/da7/class_shape.html#afeff37aabb0fa474e8820ad5372df342">   35</a></span>&#160;    <span class="keyword">inline</span> <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code" href="../../d7/da7/class_shape.html#afeff37aabb0fa474e8820ad5372df342">allCounter</a>;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordtype">double</span> <a class="code" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">makeRadians</a>(<span class="keywordtype">double</span> <a class="code" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <a class="code" href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a>();</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">   57</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a>(<span class="keyword">const</span> <a class="code" href="../../d5/db2/class_vector.html">Vector3D</a> &amp;change) {</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <a class="code" href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">translation</a> = <a class="code" href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">translation</a> + change;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    }</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">   67</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a>(<span class="keywordtype">double</span> change) {</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <a class="code" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a> += change;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    }</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;};</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclass_shape_html_a4ab9606f25f5121c5d09e95de802f4c0"><div class="ttname"><a href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">Shape::writeAngle</a></div><div class="ttdeci">void writeAngle(double change)</div><div class="ttdoc">Zapisuje kąt obrotu Jako parametr przyjmuje wartość kąta, a następnie powiększa kąt o jaki jest obróc...</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/shape_8hh_source.html#l00067">shape.hh:67</a></div></div>
<div class="ttc" id="aclass_shape_html_a1642eab9d4f9d319a3d9a38d4a69cd90"><div class="ttname"><a href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">Shape::angle</a></div><div class="ttdeci">double angle</div><div class="ttdoc">Kąt obrócenia figury geometrycznej.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/shape_8hh_source.html#l00029">shape.hh:29</a></div></div>
<div class="ttc" id="aclass_shape_html_aaa8d87171e65e0d8ba3c5459978992a7"><div class="ttname"><a href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape::Shape</a></div><div class="ttdeci">Shape()</div><div class="ttdoc">Konstruktor dla klasy Shape.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d87/shape_8cpp_source.html#l00003">shape.cpp:3</a></div></div>
<div class="ttc" id="aclass_shape_html_a5a6c23c7dae9cfcdd93800c08968a921"><div class="ttname"><a href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">Shape::translation</a></div><div class="ttdeci">Vector3D translation</div><div class="ttdoc">Wektor przesunięcia obiektu.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/shape_8hh_source.html#l00024">shape.hh:24</a></div></div>
<div class="ttc" id="aclass_shape_html_a555a7ac666dcb2bcd80c20371a54ce02"><div class="ttname"><a href="../../d7/da7/class_shape.html#a555a7ac666dcb2bcd80c20371a54ce02">Shape::fileName</a></div><div class="ttdeci">std::string fileName</div><div class="ttdoc">Nazwa pliku, w którym jest zapisany model obiektu geometrycznego.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/shape_8hh_source.html#l00018">shape.hh:18</a></div></div>
<div class="ttc" id="aclass_shape_html_a499ab02e6fd00d35c87e9409cab672dc"><div class="ttname"><a href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">Shape::translate</a></div><div class="ttdeci">void translate(const Vector3D &amp;change)</div><div class="ttdoc">Powiększa wektor przesunięcia.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/shape_8hh_source.html#l00057">shape.hh:57</a></div></div>
<div class="ttc" id="aclass_shape_html"><div class="ttname"><a href="../../d7/da7/class_shape.html">Shape</a></div><div class="ttdoc">Modeluje pojęcie obiektu geometrycznego.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/shape_8hh_source.html#l00012">shape.hh:12</a></div></div>
<div class="ttc" id="a_vector_8hh_html"><div class="ttname"><a href="../../dc/dca/_vector_8hh.html">Vector.hh</a></div></div>
<div class="ttc" id="a_matrix_8hh_html"><div class="ttname"><a href="../../db/d1b/_matrix_8hh.html">Matrix.hh</a></div></div>
<div class="ttc" id="aclass_vector_html"><div class="ttname"><a href="../../d5/db2/class_vector.html">Vector&lt; double, 3 &gt;</a></div></div>
<div class="ttc" id="aclass_shape_html_afeff37aabb0fa474e8820ad5372df342"><div class="ttname"><a href="../../d7/da7/class_shape.html#afeff37aabb0fa474e8820ad5372df342">Shape::allCounter</a></div><div class="ttdeci">static int allCounter</div><div class="ttdoc">Licznik utworzonych obiektów geometrycznych.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/shape_8hh_source.html#l00035">shape.hh:35</a></div></div>
<div class="ttc" id="aclass_shape_html_a392923e3a75a0710056ca4770af77ddc"><div class="ttname"><a href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">Shape::makeRadians</a></div><div class="ttdeci">double makeRadians(double angle) const</div><div class="ttdoc">Przelicza stopnie na radiany.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d87/shape_8cpp_source.html#l00007">shape.cpp:7</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="../../da/dad/shape_8hh.html">shape.hh</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
